/*
Theme Name:   	Nespresso (Storefront-child)
Author:         Minion Solutions
Author URI:     http://minionsolutions.com
Description:  	Child theme of Storefront for Nespresso integration
Version:      	1.0.0
Template: 		storefront
*/


/**
 * here lies re-styling of the app
 */

.site-main, .hentry, .content-area {
	margin-bottom: 0;
}

#browse-accessories-wrap,
.center-wrap
{
	display: block;
	position: relative;
	top: 50%;
  	transform: translateY(50%);
}

@media(max-width: 480px) {
	#browse-accessories-wrap {
		top: 0;
		transform: translateY(0%);
	}
}

.pd-left-40 {
	padding-left: 40px !important;
}

.footer-navateur-logo {
	display: block;
	position: relative;
	top:0;
	left: 0;
	text-align: right;
	margin-bottom: 20px;
}

.footer-navateur-logo .navateur-logo {
	display: block;
	float: right;
	height: 30px;
	width: auto;
	margin-right: 20px;
	margin-bottom: 20px;
}

.account-sidebar__item a {
	font-weight: normal;
}

.weight-normal {
	font-weight: normal !important;
}

#container-lost-password .account-detail {
	padding-top: 50px;
	padding-bottom: 100px;
}

.footer-text {
	color: #bcbcbc;
}

/*
sweet alert
 */
.sweet-alert {
	border-radius: 0;
	background-color: #1b1b1b;
}

.sweet-alert h1,
.sweet-alert h2,
.sweet-alert h3,
.sweet-alert h4,
.sweet-alert h5,
.sweet-alert h6,
.sweet-alert p
{
	color: #fff;
}

.sweet-alert button.confirm {
	border-radius: 3px;
	background-color: #3D8705 !important;
}

.sweet-alert .sa-icon {
	display: none !important;
}

.sweet-alert h2
{
	font-size: 2em !important;
	margin-top: 5px;
	margin-bottom: 5px;
}

.sweet-alert p,
{
	font-size: 1em !important;
	margin-top: 5px;
	margin-bottom: 5px;
}

.sweet-alert button
{
	font-size: 1em !important;
	margin: 0;
}

#container-product-color-variant {
	text-align: left;
}

#container-product-color-variant .product__info {
	z-index: 1;
	left: 0;
	height: auto;
	min-height: auto;
	width: auto;
	padding: 0;
}

#container-product-color-variant .product__info {
	position: relative;
	display: block;
	top: 0;
	left: 0;
	padding: 0;
	margin: 0;
	outline: 0;
	z-index: 1;
	background: none;
}

#container-product-color-variant .product__info:before {
	position: relative;
	z-index: 1;
	width: auto;
	content: none;
	bottom: auto;
	background: auto;
}

#container-product-color-variant .product__info > div {
	padding: 0;
}

.button,
.button:hover
{
	background: #3D8705;
	border-color: #3F9705;
	color: #fff;
}

.modal-footer {
	border-top: 0;
}

.nespresso-modal .modal-content {
	background-color: #1b1b1b;
}

@media screen and (max-width: 996px) {
	.nespresso-modal .modal-content {
		font-size: 1.2em;
	}
}

.nespresso-modal .close {
	font-size: 1.5em;
	float: right;
}

.nespresso-modal .modal-header {
	border-bottom: 0;
	padding-bottom: 0;
}

#form_actions {
	margin-bottom: 20px;
}

.woocommerce .login-page {
	position: relative;
	top: 0;
	bottom: 0;
	margin-top: 10px;
}

.woocommerce .account-detail .btn-icon-right {
	position: absolute;
	bottom: 0;
	right: 20px;
}

.woocommerce-order-recieved {
	display: block;
	position: relative;
	top: 100px;
	left: 0;
	margin-top: 20px;
	margin-bottom: 20px;
	padding: 20px;
	min-height: 400px;
	max-height: auto;
	text-align: center;
	color: #43454b;
	background-color: #fff;
}

.woocommerce-order-recieved p:first-of-type {
	margin-top: 180px;
	font-size: 1.5em;
	font-weight: bold;
}

@media(max-width: 500px) {
	.woocommerce-order-recieved{
		top: 0 !important;
	}
}

#register-form .container {
	padding: 0;
}

.qty-selector {
	width: 213px;
	z-index: 100;
}

.date-of-birth-container .form-control {
	width:auto;
	display:inline-block;
}

.product-head_title {
	text-align: center;
	line-height: 1.2;
	font-weight: bold;
	font-size: 13px;
	margin: 0 auto 10px;
}

.product-head_sub-title {
	text-align: center;
	margin: 0 auto 10px;
	font-size: 12px;
	color: #999;
	line-height: 1.2;
	font-weight: bold;
}

.sub-menu ul li a:hover {
	background: none;
}
.gray-bgcolor{
	background-color:#F9F9F9 !important;
}
.dark-color{
	color:#000 !important;
}
.fgray-bgcolor{
	background-color:#F9F9F9 !important;
}
.input-text,input[type=text],input[type=email],input[type=url],input[type=password],input[type=search],textarea {
	 background-color: #fff !important;
}
/*validation css*/
.is-invalid{
    border: 1px solid #dc3545 !important;
    padding-right: calc(1.5em + .75rem) !important;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' fill='%23dc3545' viewBox='-2 -2 7 7'%3e%3cpath stroke='%23dc3545' d='M0 0l3 3m0-3L0 3'/%3e%3ccircle r='.5'/%3e%3ccircle cx='3' r='.5'/%3e%3ccircle cy='3' r='.5'/%3e%3ccircle cx='3' cy='3' r='.5'/%3e%3c/svg%3E") !important;
    background-repeat: no-repeat !important;
    background-position: center right calc(.375em + .1875rem) !important;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem) !important;
}
.is-valid{
    border:1px solid #28a745 !important;
    padding-right: calc(1.5em + .75rem) !important;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%2328a745' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e") !important;
    background-repeat: no-repeat !important;
    background-position: center right calc(.375em + .1875rem) !important;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem) !important;
}
.text-danger {
    color: #dc3545 !important;
}
.text-success{
	color: #28a745 !important;
}
.checkout .shop_table.woocommerce-checkout-review-order-table{
	background-color: #fff
}
.c-header {
    background: #D5D5D5;
    font-size: 18px;
    padding: 12px;
    margin-top: -20px;
    margin-left: -20px;
    width: 104.2%;
}
li.option-stand {
    width: 47%;
    border: 1px solid #808080;
	float: left;
	height: 121px;
}
li.option-stand > div{
	
}
li.option-stand .option-title{
	display: block;
    font-size: 14px;
    font-weight: bold;
    background: #CCCCCC;
    padding: 5px;
}
li.option-stand label{
	display: flex;
    padding: 15px;
    align-items: center;
}
li.option-stand label .option-content{
	
}
li.option-stand label .option-content *{
	display:block;
	padding: 0 20px;
}

li.option-pickup {
    width: 47%;
    border: 1px solid #808080;
	float: right;
	height: 121px;
}
li.option-pickup > div{
	
}
li.option-pickup .option-title{
	display: block;
    font-size: 14px;
    font-weight: bold;
    background: #CCCCCC;
    padding: 5px;
}
li.option-pickup label{
	display: flex;
    padding: 15px;
    align-items: center;
}
li.option-pickup label .option-content{
	
}
li.option-pickup label .option-content *{
	display:block;
	padding: 0 20px;
}
.disabled input[readonly],.disabled select[readonly] {
    background: #eee !important;
}
@media(max-width:768px)
{
	li.option-pickup,li.option-stand
	{
		width:100%;
	}
	.c-header{
		width:112%;
	}
}


/* add fonts */
@font-face {
	font-family:Halcom ;
	src: url(/wp-content/themes/storefront-child/fonts/Halcom.otf);
	font-weight: normal;
}

@font-face {
	font-family:Halcom-Light ;
	src: url(/wp-content/themes/storefront-child/fonts/HalcomLight.otf);
	font-weight: normal;
}
@font-face {
	font-family:Halcom-Regular ;
	src: url(/wp-content/themes/storefront-child/fonts/Halcom.woff);
	font-weight: normal;
}
@font-face {
	font-family:Halcom-Medium ;
	src: url(/wp-content/themes/storefront-child/fonts/HalcomMedium.otf);
	font-weight: normal;
}

